Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.saml._2_0.assertion
Class AuthnContext

    java.lang.Object
      oasis.names.tc.saml._2_0.assertion.AuthnContext

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-02-02T03:42:11+01:00",
               comments="JAXB RI v2.2.11")
    public class AuthnContext

extends Object
implements Serializable

Java class for AuthnContextType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AuthnContextType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <sequence>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AuthnContextClassRef"/>
                 <choice minOccurs="0">
                   <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AuthnContextDecl"/>
                   <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AuthnContextDeclRef"/>
                 </choice>
               </sequence>
               <choice>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AuthnContextDecl"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AuthnContextDeclRef"/>
               </choice>
             </choice>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AuthenticatingAuthority" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AuthnContext()`

Method Summary
`List<String>` | `getAuthenticatingAuthorities()` Gets the value of the authenticatingAuthorities property.
`String` | `getAuthnContextClassRef()` Gets the value of the authnContextClassRef property.
`Object` | `getAuthnContextDecl()` Gets the value of the authnContextDecl property.
`String` | `getAuthnContextDeclRef()` Gets the value of the authnContextDeclRef property.
`void` | `setAuthnContextClassRef(String value)` Sets the value of the authnContextClassRef property.
`void` | `setAuthnContextDecl(Object value)` Sets the value of the authnContextDecl property.
`void` | `setAuthnContextDeclRef(String value)` Sets the value of the authnContextDeclRef property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthnContext

    public AuthnContext()

Method Detail

### getAuthnContextClassRef

    public String getAuthnContextClassRef()

  Gets the value of the authnContextClassRef property.

  Returns:
    possible object is `String`

### setAuthnContextClassRef

    public void setAuthnContextClassRef(String value)

  Sets the value of the authnContextClassRef property.

  Parameters:
    `value` - allowed object is `String`

### getAuthnContextDeclRef

    public String getAuthnContextDeclRef()

  Gets the value of the authnContextDeclRef property.

  Returns:
    possible object is `String`

### setAuthnContextDeclRef

    public void setAuthnContextDeclRef(String value)

  Sets the value of the authnContextDeclRef property.

  Parameters:
    `value` - allowed object is `String`

### getAuthnContextDecl

    public Object getAuthnContextDecl()

  Gets the value of the authnContextDecl property.

  Returns:
    possible object is `Object`

### setAuthnContextDecl

    public void setAuthnContextDecl(Object value)

  Sets the value of the authnContextDecl property.

  Parameters:
    `value` - allowed object is `Object`

### getAuthenticatingAuthorities

    public List<String> getAuthenticatingAuthorities()

  Gets the value of the authenticatingAuthorities property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the authenticatingAuthorities property.

  For example, to add a new item, do as follows:

          getAuthenticatingAuthorities().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.